ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/errors
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/errors?offset=0&limit=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "totalItemCount": 0, "currentOffset": 0, "items": [ { … } ] }
- Mock server
http://{{your_prep_ip_address}}/api/v1/errors/{errorId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/errors/{errorId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "id": "string", "code": 0, "innerError": {}, "message": "string", "type": "string", "severity": "Warning", "date": "2019-08-24T14:15:22Z", "handledDateTime": "2019-08-24T14:15:22Z", "handled": true, "responses": [ "string" ], "groupId": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/errors/runtime
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/errors/runtime' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string",
"groupId": "string",
"errorData": [
{
"id": "string",
"selectedResponse": "string"
}
],
"selectedResponse": "string"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/errors/check-for-pending-errors
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/errors/check-for-pending-errors' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "id": "string", "title": "string", "message": "string", "errorResponses": [ … ], "selectedResponse": "string", "timeStamp": "2019-08-24T14:15:22Z", "severity": "string", "groupId": "string", "errorData": [ … ], "handled": true } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/errors/clear-errors
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/errors/clear-errors' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "numberOfErrorsCleared": 0, "numberOfErrorsNotCleared": 0 }